//Initialise.cpp

//This is the implementation file for the initialiser.

#include <Message.h>
#include "Initialise.h"

//Entities are represented by BMessages which contain all the attributes of a given entity.
//Initialisers are used to give entities some default attributes.

status_t Initialise(BMessage *entity)
{
#if __INTEL__
	const int32 RED = 0xFF0000FF;	//ABGR
#endif

#if __POWERPC__
	const int32 RED = 0xFF0000FF;	//RGBA
#endif

	if (entity->ReplaceInt32("color", RED) < B_OK)
		entity->AddInt32("color", RED);

	return B_OK;
}

//don't forget to go Window->Settings->x86 Project and change the default file name
