//listView.h
//Copyright © 1998, Paul Yu 

#ifndef listView_h_
#define listView_h_

#include <View.h>
#include <ListView.h>

class listView : public BView
{
	public:
		listView();
		~listView();
		void AttachedToWindow();
		
		void AddItem(const char *text);
		void AddItem(const char *text, int32 index);
		void RemoveItem();
		void ReplaceItem(const char *text, int32 index);
		void SetListTitle(const char *text);
		int32 GetSelection(BMessage *selections);
		void MakeEmpty();
		void SetListType(list_view_type type);
		
	protected:
		BListView *mListView;
};

#endif
